[conversion]
	#configuration options for the conversion of chests
	#determine whether or not loot generated is the same for all players using the provided seed, or randomised per player
	randomise_seed = true
	#the maximum age for containers; entries above this age will be discarded [default: 60 * 20 * 15, fifteen minutes] [note: the value 6000 will be corrected to 18000. if you wish to use 6000, please use 6001 or 5999.]
	# Default: 18000
	# Range: > 0
	max_age = 18000
	#if true, no chests will be converted
	disable = false
	#whether or not mineshaft chest minecarts should be converted to standard loot chests
	convert_mineshafts = true
	#whether or not the Elytra item frame should be converted into a standard loot chest with a guaranteed elytra
	convert_elytras = true
	#lootr will automatically log all unresolved tables (i.e., for containers that have a loot table associated with them but, for whatever reason, the lookup for this table returns empty). setting this option to true additionally informs players when they open containers.
	report_unresolved_tables = false
	#disregard chests and chunks that are outside of the world border; enable this option if you are using a world border and are suffering consistent TPS issues; if you change the world border, you will need to restart your client
	check_world_border = false
	#checks structure pieces as well as structure starts when determining if a structure contains a position, more accurate but may cause lag (default true)
	perform_piecewise_check = true

[whitelist]
	#configuration for specific whitelisting and blacklisting of dimensions, loot tables and modids
	#list of dimensions (to the exclusion of all others) that loot chest should be replaced in (default: blank, allowing all dimensions, e.g., ["minecraft:overworld", "minecraft:the_end"])
	dimension_whitelist = []
	#list of dimensions that loot chests should not be replaced in (default: blank, allowing all dimensions, format e.g., ["minecraft:overworld", "minecraft:the_end"])
	dimension_blacklist = []
	#list of dimensions by modid that loot chests should not be replaced in (default: blank, allowing all modids, format e.g., ["minecraft
	#othermod"])
	modid_dimension_blacklist = []
	#list of dimensions by modid that loot chest should be replaced in (default: blank, allowing all modids, format e.g., ["minecraft
	#othermod"])
	modid_dimension_whitelist = []
	#list of loot tables which shouldn't be converted (in the format of ["modid:loot_table", "othermodid:other_loot_table"])
	loot_table_blacklist = []
	#list of modids whose loot tables shouldn't be converted (in the format of ["modid", "other_modid"])
	loot_modid_blacklist = []
	#list of loot tables whose conversion causes problems (in the same format as `loot_table_tlacklist`)
	problematic_loot_tables = ["twilightforest:structures/stronghold_boss", "atum:chests/pharaoh"]

[breaking]
	#configuration options for breaking containers
	#prevent the destruction of Lootr chests except while sneaking in creative mode
	disable_break = false
	#allow the destruction of Lootr chests regardless. overrides `disable_break`
	enable_break = false
	#allows fake players to destroy Lootr chests without having to sneak, overrides the `disable_break` option for fake players
	enable_fake_player_break = false
	#lootr chests cannot be destroyed by creeper or TNT explosions
	blast_resistant = false
	#lootr chests cannot be destroyed by any explosion
	blast_immune = false
	#lootr chests will drop the contents of the player-specific inventory (generated when not generated) when broken
	should_drop_player_loot = false

[power]
	#configuration options for comparators and redstone power
	#when true, comparators on Lootr containers will give an output of 1; when false, they will give an output of 0
	power_comparators = true
	#when true, custom inventories will act like trapped chests when opened
	trapped_custom = false

[notifications]
	#configuration options for notifications
	#prevent notifications of decaying or refreshed chests
	disable_notifications = false
	#maximum time (in ticks) remaining on a chest before a notification for refreshing or decaying is sent to a player (default 30 seconds, -1 for no delay)
	# Default: 600
	# Range: > -1
	notification_delay = 600
	#disables styling of breaking, decaying and refreshing messages sent to players
	disable_message_styles = false

[decay]
	#configuration options for decaying containers
	#how long (in ticks) a decaying loot containers should take to decay (default 5 minutes = 5 * 60 * 20)
	# Default: 6000
	# Range: > 0
	decay_value = 6000
	#list of loot tables which will decay (default blank, meaning no chests decay, in the format of (in the format of ["modid:loot_table", "othermodid:other_loot_table"])
	decay_loot_tables = []
	#list of mod IDs whose loot tables will decay (default blank, meaning no chests decay, in the format ["modid", "othermodid"])
	decay_modids = []
	#list of dimensions where loot chests should automatically decay (default: blank, e.g., ["minecraft:the_nether", "minecraft:the_end"])
	decay_dimensions = []
	#containers that have already been marked as decaying will be decayed during level tick as well as when next trapped
	perform_decay_while_ticking = true
	#containers that have not yet been marked as decaying will be marked for decay during level tick as well as when next trapped
	start_decay_while_ticking = false
	#overriding decay_loot_tables, decay_modids and decay_dimensions: all chests will decay after being trapped for the first time
	decay_all = false

[refresh]
	#configuration options for refreshing containers
	#how long (in ticks) a refreshing loot containers should take to refresh their contents (default 20 minutes = 20 * 60 * 20)
	# Default: 24000
	# Range: > 0
	refresh_value = 24000
	#list of loot tables which will refresh (default blank, meaning no chests refresh, in the format of ["modid:loot_table", "othermodid:loot_table"])
	refresh_loot_tables = []
	#list of mod IDs whose loot tables will refresh (default blank, meaning no chests refresh, in the format of ["modid", "othermodid"])
	refresh_modids = []
	#list of dimensions where loot chests should automatically refresh (default: blank, e.g., ["minecraft:overworld", "othermod:otherdimension"])
	refresh_dimensions = []
	#containers that have already been marked as refreshing will be refreshed during level tick as well as when next trapped
	perform_refresh_while_ticking = true
	#containers that have not yet been marked as refreshing will be marked for refresh during level tick as well as when next trapped
	start_refresh_while_ticking = true
	#overriding refresh_loot_tables, refresh_modids and refresh_dimensions: all chests will refresh after being trapped for the first time
	refresh_all = false
